
RUBY = ruby -I..
ClibPDF = ../ClibPDF.so 

.SUFFIXES: .rb .pdf

.rb.pdf:
	$(RUBY) $<

RB =	Arcs.rb DomainDemo.rb MarkerTest.rb Minimal.rb beziertest.rb \
		charwidth.rb cover.rb dashtest.rb filltest.rb fontlist.rb \
		helloworld.rb landscape.rb landscape2.rb jpntest.rb jpntest2.rb linkpdfpage.rb outline.rb \
		textalign.rb textboxfit.rb timeaxis.rb
# weather.rb
# barcode.rb 
# shiplabel.rb 
# text2pdf.rb 
# textbox.rb

PDF := $(RB:.rb=.pdf)

all: $(PDF)

clean:
	rm -f $(PDF)

Arcs.pdf:		$(ClibPDF) Arcs.rb
DomainDemo.pdf: $(ClibPDF) DomainDemo.rb
MarkerTest.pdf: $(ClibPDF) MarkerTest.rb
Minimal.pdf:	$(ClibPDF) Minimal.rb
barcode.pdf:	$(ClibPDF) barcode.rb
beziertest.pdf: $(ClibPDF) beziertest.rb
charwidth.pdf:	$(ClibPDF) charwidth.rb
cover.pdf:		$(ClibPDF) cover.rb
dashtest.pdf:	$(ClibPDF) dashtest.rb
filltest.pdf:	$(ClibPDF) filltest.rb
fontlist.pdf:	$(ClibPDF) fontlist.rb
helloworld.pdf:	$(ClibPDF) helloworld.rb
landscape.pdf:	$(ClibPDF) landscape.rb
landscape2.pdf:	$(ClibPDF) landscape2.rb
jpntest.pdf:	$(ClibPDF) jpntest.rb
jpntest2.pdf:	$(ClibPDF) jpntest2.rb
linkpdfpage.pdf: $(ClibPDF) linkpdfpage.rb
outline.pdf:	$(ClibPDF) outline.rb
shiplabel.pdf:	$(ClibPDF) shiplabel.rb
text2pdf.pdf:	$(ClibPDF) text2pdf.rb
	$(RUBY) text2pdf.rb text2pdf.rb
textalign.pdf:	$(ClibPDF) textalign.rb
textbox.pdf:	$(ClibPDF) textbox.rb
textboxfit.pdf:	$(ClibPDF) textboxfit.rb
timeaxis.pdf:	$(ClibPDF) timeaxis.rb
weather.pdf:	$(ClibPDF) weather.rb
	$(RUBY) weather.rb OAK.wdat C
